Bug 962238 - Write failed to start
Write failed to start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sugar-write (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On: 605573
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 17:23 EDT by Ismael Olea
Modified: 2013-11-11 19:38 EST (History)
3 users (show)

See Also:
Fixed In Version: abiword-3.0.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:02:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
org.laptop.AbiWordActivity-1.log (2.04 KB, text/plain)
2013-05-22 06:17 EDT, Ismael Olea
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OLPC 12412 None None None Never
Sun Bug Database 4409 None None None Never

  None (edit)
Description Ismael Olea 2013-05-12 17:23:13 EDT
Description of problem:

Sugar Write doesn't run


Version-Release number of selected component (if applicable):

checked with:
 - sugar-write-79-3.fc19
 - sugar-write-79-2.fc18


How reproducible:

Always.


Steps to Reproduce:
1. Open Sugar
2. Launch Write

  
Actual results:

«Write failed to start.»


Expected results:

A running activity.
Comment 1 Ismael Olea 2013-05-22 06:17:40 EDT
Created attachment 751646 [details]
org.laptop.AbiWordActivity-1.log

Error log.
Comment 2 Ismael Olea 2013-05-22 07:52:24 EDT
Testing v89 got a different error: http://paste.stg.fedoraproject.org/4187/13692231/

At #Sugar I've been told we need to upgrade libabiword to 2.9.3
Comment 3 Ismael Olea 2013-05-22 12:01:24 EDT
http://bugs.sugarlabs.org/ticket/4409
Comment 4 Peter Robinson 2013-05-24 12:17:53 EDT
Please do not update write/abiword. The crash you are seeing is another problem and not due to the version. Abiword 2.9.4 doesn't have all the needed patches for the latest upstream version of Write.
Comment 5 Ismael Olea 2013-05-24 13:01:49 EDT
(In reply to Peter Robinson from comment #4)
> Please do not update write/abiword. The crash you are seeing is another
> problem and not due to the version.

So, what can I do to fix this?

> Abiword 2.9.4 doesn't have all the
> needed patches for the latest upstream version of Write.

OTOH I've build an update for Abiword[1] with Sugar patches but found another problem[2]

[1] https://bugzilla.redhat.com/show_bug.cgi?id=605573#c8
[2] http://bugs.sugarlabs.org/ticket/4509
Comment 6 Ismael Olea 2013-05-29 15:44:51 EDT
Just realized https://dev.laptop.org/ticket/12412 documents the same error message I got with abiword 2.9.4 and Write v89 and v90
Comment 7 Fedora End Of Life 2013-09-16 09:52:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 8 Fedora Update System 2013-10-17 07:47:56 EDT
abiword-3.0.0-2.fc20,sugar-write-93-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/abiword-3.0.0-2.fc20,sugar-write-93-1.fc20
Comment 9 Fedora Update System 2013-10-17 16:33:55 EDT
Package abiword-3.0.0-2.fc20, sugar-write-93-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abiword-3.0.0-2.fc20 sugar-write-93-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19220/abiword-3.0.0-2.fc20,sugar-write-93-1.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-05 08:30:43 EST
abiword-3.0.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/abiword-3.0.0-4.fc20
Comment 11 Fedora Update System 2013-11-10 02:02:56 EST
abiword-3.0.0-2.fc20, sugar-write-93-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-11-11 19:38:32 EST
abiword-3.0.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.